- 2020-07-01
  - Received notification about performance regression in Firefox.
- 2020-07-07
  - Created release notes draft.
  - Received QA LGTM.
  - Decided to postpone 3.9.1 release to early afternoon tomorrow due to IRC servers being down.
- 2020-07-09
  - Noticed that webext#208 hasn't been tested yet.
  - Received notification from QA that webext#208 can be safely ignored.
  - Asked to create builds.
  - Postponed release to Monday due to people being unavailable until then.
- 2020-07-13
  - Asked to create builds.
- 2020-07-14
  - Received builds after encountering some problems:
    - Failed to download latest Chromium automatically.
    - Failed to run build.py due to missing PEM file and lackign push access to downloads repository.
  - Failed to publish to CWS due to being unable to log in.
  - Published to AMO.
  - Noticed that release is live on AMO.
  - Published to Microsoft Store.
  - Published to Opera Store.
  - Published release notes.
- 2020-07-20
  - Noticed that release is live on all stores.
